New Search

COM Validation Vulnerability

oval:org.mitre.oval:def:7286

Windows Shell and WordPad in Microsoft Windows XP SP2 and SP3 Windows Server 2003 SP2 Windows Vista SP1 and SP2 Windows Server 2008 Gold SP2 and R2 and Windows 7; Microsoft Office XP SP3; Office 2003 SP3; and Office System 2007 SP1 and SP2 do not properly validate COM objects during instantiation which allows remote attackers to execute arbitrary code via a crafted file aka "COM Validation Vulnerability."

Family:
windows
Status:
ACCEPTED
Platform(s):
  • Microsoft Windows Server 2008
  • Microsoft Windows Server 2003
  • Microsoft Windows XP
  • Microsoft Windows 2000
  • Microsoft Windows Server 2008 R2
  • Microsoft Windows 7
  • Microsoft Windows Vista
Class:
vulnerability
Reference(s):
  • CVE-2010-1263
Product(s):
  • Microsoft Office XP
  • Microsoft PowerPoint 2003
  • Microsoft PowerPoint 2007
  • Microsoft Excel 2003
  • Microsoft Wordpad
  • Microsoft Visio 2007
  • Microsoft Publisher 2003
  • Microsoft Excel 2007
  • Microsoft Word 2007
  • Microsoft Visio 2003
  • Microsoft Word 2003
  • Microsoft Publisher 2007